
QGIS Application - Bug report #4133

Identify results - previous state (location, docked status, size) is not saved

2011-08-02 05:10 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data: Copied to github as #: 14113

Description

When you use the identify tool, it opens a results window, docked at the bottom of the left side of the main QGIS window.  It is possible to

undock this window, or dock it somewhere else.  But if you then close it, next time you use the tool it will open docked at the bottom of the

left side again.  The other dockable windows (Layers, Browser, Undo/Redo, Value Tool, Overview, Coordinate capture etc.) remember

their state, so if you close and reopen them, they will be in the same place.

I notice that when you right click on a toolbar, the identify results is only shown if it is currently enabled, so the only way to turn it on is by

actually using the tool.  This is also a little confusing, as the user might close it by unchecking it in the right-click menu, and then wonder

why it has disappeared from the menu!

Also, another minor issue with the tool is that if you dock it in the same place as something else (e.g. so that you have a tab for "layers"

and a tab for "browser"), and the identify tab is not at the front, it might be good for it to be brought to the front automatically when you use

the identify tool.

History

#1 - 2011-10-27 10:40 AM - Alexander Bruy

- Resolution set to duplicate

- Status changed from Open to Closed

Seems duplicates #206

#2 - 2011-10-27 07:45 PM - Alister Hood

Possibly also related to #4019.
